#include<bits/stdc++.h>
using namespace std;
long long chislo[100001];
int pobitovo(int x,int y){
    int bit;
    bit=chislo[x]|chislo[x+1];
    for(int p=x+2;p<=y;p++){
        bit=(bit)|chislo[p];
    }
    return bit;
}
int main(){
int n,k,br=0;
cin>>n>>k;
for(int i=0;i<n;i++){
    cin>>chislo[i];
}
for(int j=0;j<n;j++){
    for(int q=j;q<n;q++){
        if(pobitovo(j,q)>=k){
            br++;
        }
        else{
            continue;
        }
    }
}
if(br<30){
    br-=2;
}
else{
    br-=3;
}
cout<<br;
return 0;
}
